@tailwind base;
@tailwind components;
@tailwind utilities;

@layer components {

    //********** START Button **********
    .vl-btn {
        // button style
        @apply rounded font-semibold text-sm leading-[17px] tracking-[0.75px] disabled:opacity-70 disabled:cursor-not-allowed transition-all duration-300;

        // button size
        @apply w-auto h-auto py-[9px] px-4;

        // button color style
        @apply text-darkGrey border border-darkGrey-opacity-70;

        .spinner-wrapper {
            @apply static transform-none;
            .spinner {
                @apply w-3 h-3;
                background-size: 3px 3px;
            }
        }   
    }

    .vl-btn-primary {
        @apply dark:bg-primary bg-secondary dark:border-primary border-secondary text-white;
        box-shadow: inset 0px -2px 0px rgba(0, 0, 0, 0.08) !important;
    }

    .vl-btn-secondary {
        @apply bg-white border-primary text-primary;
    }

    //********** END Button **********
    //**************************************************//
    //********** START Input **********
    .vl-input-wrapper {
        @apply relative flex w-[360px] min-w-[360px] max-w-full flex-col;

        &__labelText {
            @apply font-semibold text-darkGrey text-sm lg:text-base leading-[22px];
        }

        .inputOutlined {
            @apply min-h-[40px] order-none relative;

            &__input {
                @apply min-h-[40px] outline-0 w-full border-solid border dark:border-darkGrey-shade-3 border-darkGrey-600 rounded-[32px] font-medium bg-white;
                @apply tablet:placeholder:text-base tablet:placeholder:font-normal tablet:placeholder:text-darkGrey-700 tablet:text-base tablet:text-darkGrey;
                @apply transition-all duration-300;

                &:focus {
                    @apply border-solid border dark:border-primary border-secondary;
                }
            }

            &__addonIconBefore,
            &__addonIconAfter {
                @apply absolute top-1/2 transform -translate-y-1/2;
            }

            &__addonIconBefore {
                @apply left-6;
            }

            &__addonIconAfter {
                @apply right-6;
            }
        }

        .inputOutlined_focused {
            &::after {
                @apply w-full;
            }
        }

        .inputStandard {
            @apply order-none relative;

            &__input {
                @apply pl-3 h-12 outline-0 w-full border-solid border border-gray-400 font-medium bg-white rounded-lg;
                @apply placeholder:leading-[140%] placeholder:tracking-[0.44px] tablet:placeholder:text-sm tablet:placeholder:font-normal tablet:placeholder:text-darkGrey-shade-2 tablet:text-base tablet:text-darkGrey;
            }

            &__addonIconBefore,
            &__addonIconAfter {
                @apply absolute top-1/2 transform -translate-y-1/2;
            }

            &__addonIconAfter {
                @apply right-7;
            }

            &__addonIconBefore {
                @apply left-0;
            }

            &::after,
            &::before {
                @apply transition-all duration-300 ease-in-out;
            }

            &::after {
                @apply content-[''] absolute -bottom-[1px] left-0 right-0 w-0 h-[2px] m-auto bg-secondary dark:bg-primary;
            }
        }

        .inputStandard_focused {
            &::after {
                @apply w-full;
            }
        }

        .inputStandard,
        .inputOutlined {
            input {
                &:disabled {
                    cursor: not-allowed;
                }
            }
        }
    }

    //********** END Input **********
    //**************************************************//
}
